# use appimage from https://github.com/0ad-matters/0ad-appimage/releases

%define __os_install_post %{nil}

Name:	buttercup
Version:	2.20.3
Release:	%mkrel 1
License:	GPLv3
Group:	Security
Summary:	Password Security Application
Url:		https://github.com/buttercup/buttercup-desktop
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Buttercup is a free, open-source and cross-platform password manager, built on NodeJS with Typescript.
It uses strong industry-standard encryption to protect your passwords and credentials (among other data you
store in Buttercup vaults) at rest, within vault files (.bcup). Vaults can be loaded from and saved to a number
of sources, such as the local filesystem, Dropbox, Google Drive or any WWebDAV-enabled service (like ownCloud or Nextcloud ).

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/buttercup/buttercup-desktop/releases/download/v%{version}/Buttercup-linux-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/Buttercup-linux-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Jun 08 2023 tex - 2.20.3-1pclos2023
- new version

* Sat Feb 11 2023 tex - 2.81.2-1pclos2023
- create pkg
